 /*
  * filereq.h - GamePark 32 file requester declarations
  * Copyright (c)2002 Christian Nowak <chnowak@web.de>
  *
  *
  * This file is part of PlusIV.
  *
  * PlusIV is free software; you can redistribute it and/or modify
  * it under the terms of the GNU General Public License as published by
  * the Free Software Foundation; either version 2 of the License, or
  * (at your option) any later version.
  *
  * PlusIV is distributed in the hope that it will be useful,
  * but WITHOUT ANY WARRANTY; without even the implied warranty of
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  * GNU General Public License for more details.
  *
  * You should have received a copy of the GNU General Public License
  * along with Foobar; if not, write to the Free Software
  * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  */

#include "defines.h"
#include "gpgraphic.h"

typedef struct FSEL
  {
    char * fname;
    GPDRAWSURFACE * gpDraw;
    u8 bgcolor;
    u8 dircolor;
    u8 filecolor;
    u8 dirselcolor;
    u8 fileselcolor;
    u8 curdircolor;
  } FSEL;

int FileRequest ( FSEL *, char *, BOOL );
