/* gpmenu.h */

#ifndef __GPMENU_H__
#define __GPMENU_H__

#include "defines.h"
#include "gpfont.h"
#include "gpgraphic.h"
#include "gpdef.h"


typedef struct GPMENUITEM
  {
    char * name;
    u8 color;
    u32 userdata;
    u16 keys;         /* ORd Gp32 keys which should trigger an option
                         (excluding the up & down keys) */
  } GPMENUITEM;

typedef struct GPMENU
  {
    GPDRAWSURFACE * gpDraw;
    GPMENUITEM * pItems;
    int numItems;
    int selection;    /* 0=first item */
    u8 bgcolor;
    u8 itemselcolor;
    int xpos;
    int ypos;
    u32 userdata;
  } GPMENU;

/* void GpMenuDraw ( GPMENU * ); */
void GpMenuStart ( GPMENU *, int (*)(GPMENU*,u16) );

#endif
