#define IL	0x02

int cycles6502[256] =
	{
		7,		/* 00 */
		6,		/* 01 */
		IL,		/* 02 */
		IL,		/* 03 */
		3,		/* 04 */
		3,		/* 05 */
		5,		/* 06 */
		IL,		/* 07 */
		3,		/* 08 */
		2,		/* 09 */
		2,		/* 0a */
		IL,		/* 0b */
		4,		/* 0c */
		4,		/* 0d */
		6,		/* 0e */
		IL,		/* 0f */
		2,		/* 10 */
		5,		/* 11 */
		IL,		/* 12 */
		IL,		/* 13 */
		3,		/* 14 */
		4,		/* 15 */
		6,		/* 16 */
		IL,		/* 17 */
		2,		/* 18 */
		4,		/* 19 */
		2,		/* 1a */
		IL,		/* 1b */
		4,		/* 1c */
		4,		/* 1d */
		6,		/* 1e */
		IL,		/* 1f */
		6,		/* 20 */
		6,		/* 21 */
		IL,		/* 22 */
		IL,		/* 23 */
		3,		/* 24 */
		3,		/* 25 */
		5,		/* 26 */
		IL,		/* 27 */
		4,		/* 28 */
		2,		/* 29 */
		2,		/* 2a */
		4,		/* 2c */
		4,		/* 2d */
		6,		/* 2e */
		IL,		/* 2f */
		2,		/* 30 */
		5,		/* 31 */
		IL,		/* 32 */
		IL,		/* 33 */
		3,		/* 34 */
		4,		/* 35 */
		6,		/* 36 */
		IL,		/* 37 */
		2,		/* 38 */
		3,		/* 39 */
		2,		/* 3a */
		IL,		/* 3b */
		4,		/* 3c */
		4,		/* 3d */
		6,		/* 3e */
		IL,		/* 3f */
		6,		/* 40 */
		6,		/* 41 */
		IL,		/* 42 */
		IL,		/* 43 */
		3,		/* 44 */
		3,		/* 45 */
		5,		/* 46 */
		IL,		/* 47 */
		3,		/* 48 */
		2,		/* 49 */
		2,		/* 4a */
		3,		/* 4c */
		4,		/* 4d */
		6,		/* 4e */
		IL,		/* 4f */
		2,		/* 50 */
		5,		/* 51 */
		IL,		/* 52 */
		IL,		/* 53 */
		3,		/* 54 */
		4,		/* 55 */
		6,		/* 56 */
		IL,		/* 57 */
		2,		/* 58 */
		4,		/* 59 */
		2,		/* 5a */
		IL,		/* 5b */
		4,		/* 5c */
		4,		/* 5d */
		6,		/* 5e */
		IL,		/* 5f */
		6,		/* 60 */
		6,		/* 61 */
		IL,		/* 62 */
		IL,		/* 63 */
		3,		/* 64 */
		4,		/* 65 */
		5,		/* 66 */
		IL,		/* 67 */
		4,		/* 68 */
		2,		/* 69 */
		2,		/* 6a */
		IL,		/* 6b */
		6,		/* 6c */
		4,		/* 6d */
		3,		/* 6e */
		IL,		/* 6f */
		2,		/* 70 */
		5,		/* 71 */
		IL,		/* 72 */
		IL,		/* 73 */
		3,		/* 74 */
		4,		/* 75 */
		6,		/* 76 */
		IL,		/* 77 */
		2,		/* 78 */
		4,		/* 79 */
		2,		/* 7a */
		IL,		/* 7b */
		4,		/* 7c */
		4,		/* 7d */
		6,		/* 7e */
		IL,		/* 7f */
		3,		/* 80 */
		6,		/* 81 */
		3,		/* 82 */
		6,		/* 83 */
		3,		/* 84 */
		3,		/* 85 */
		3,		/* 86 */
		3,		/* 87 */
		2,		/* 88 */
		IL,		/* 89 */
		2,		/* 8a */
		IL,		/* 8b */
		4,		/* 8c */
		4,		/* 8d */
		4,		/* 8e */
		4,		/* 8f */
		2,		/* 90 */
		6,		/* 91 */
		IL,		/* 92 */
		IL,		/* 93 */
		4,		/* 94 */
		4,		/* 95 */
		4,		/* 96 */
		4,		/* 97 */
		2,		/* 98 */
		5,		/* 99 */
		2,		/* 9a */
		IL,		/* 9b */
		IL,		/* 9c */
		5,		/* 9d */
		IL,		/* 9e */
		IL,		/* 9f */
		2,		/* a0 */
		6,		/* a1 */
		2,		/* a2 */
		6,		/* a3 */
		3,		/* a4 */
		3,		/* a5 */
		3,		/* a6 */
		3,		/* a7 */
		2,		/* a8 */
		2,		/* a9 */
		2,		/* aa */
		IL,		/* ab */
		4,		/* ac */
		4,		/* ad */
		4,		/* ae */
		4,		/* af */
		2,		/* b0 */
		5,		/* b1 */
		IL,		/* b2 */
		5,		/* b3 */
		4,		/* b4 */
		4,		/* b5 */
		4,		/* b6 */
		4,		/* b7 */
		2,		/* b8 */
		4,		/* b9 */
		2,		/* ba */
		IL,		/* bb */
		4,		/* bc */
		4,		/* bd */
		4,		/* be */
		4,		/* bf */
		2,		/* c0 */
		6,		/* c1 */
		3,		/* c2 */
		8,		/* c3 */
		3,		/* c4 */
		3,		/* c5 */
		5,		/* c6 */
		5,		/* c7 */
		2,		/* c8 */
		2,		/* c9 */
		2,		/* ca */
		IL,		/* cb */
		4,		/* cc */
		4,		/* cd */
		6,		/* ce */
		6,		/* cf */
		2,		/* d0 */
		5,		/* d1 */
		IL,		/* d2 */
		8,		/* d3 */
		3,		/* d4 */
		3,		/* d5 */
		6,		/* d6 */
		6,		/* d7 */
		2,		/* d8 */
		4,		/* d9 */
		2,		/* da */
		7,		/* db */
		4,		/* dc */
		4,		/* dd */
		6,		/* de */
		7,		/* df */
		2,		/* e0 */
		6,		/* e1 */
		3,		/* e2 */
		8,		/* e3 */
		3,		/* e4 */
		3,		/* e5 */
		5,		/* e6 */
		5,		/* e7 */
		2,		/* e8 */
		2,		/* e9 */
		2,		/* ea */
		IL,		/* eb */
		4,		/* ec */
		4,		/* ed */
		6,		/* ee */
		6,		/* ef */
		2,		/* f0 */
		5,		/* f1 */
		IL,		/* f2 */
		8,		/* f3 */
		3,		/* f4 */
		4,		/* f5 */
		6,		/* f6 */
		6,		/* f7 */
		2,		/* f8 */
		4,		/* f9 */
		2,		/* fa */
		7,		/* fb */
		4,		/* fc */
		4,		/* fd */
		6,		/* fe */
		7			/* ff */
	};

#undef IL
